import { Mark } from '../utils';
export declare function addMarkToChildren<T>(mark: Mark, cb: () => T): T;
export declare function addMarksToChildren<T>(marks: Set<Mark>, cb: () => T): T;
export declare function forceDisableMarkForChildren<T>(mark: Mark, cb: () => T): T;
export declare function getTextNodeForCurrentlyActiveMarks(text: string): import("slate").BaseText & {
    type?: undefined;
    placeholder?: string | undefined;
} & {
    bold?: true | undefined;
    code?: true | undefined;
    italic?: true | undefined;
    underline?: true | undefined;
    strikethrough?: true | undefined;
    superscript?: true | undefined;
    subscript?: true | undefined;
    keyboard?: true | undefined;
    insertMenu?: true | undefined;
};
